libxdf: Xdf::Stream Class Reference

libxdf 0.92 A static C++ library for loading XDF files

Public Attributes | List of all members
Xdf::Stream Class Reference

`#include <xdf.h>`

## Public Attributes
std::vector< std::vector< float > > | time_series
| A 2D vector which stores the time series of a stream. Each row represents a channel. More...
std::vector< float > | time_stamps
std::string | streamHeader
std::string | streamFooter
struct {
int channel_count
double nominal_srate
std::string name
std::string type
std::string channel_format
std::vector< std::map< std::string, std::string > > channels
std::vector< std::pair< double, double > > clock_offsets
double first_timestamp
double last_timestamp
int sample_count
double measured_srate
double effective_sample_rate
} | info
float | last_timestamp { 0 }
float | sampling_interval
std::vector< double > | clock_times
std::vector< double > | clock_values

## Detailed Description

XDF files uses stream as the unit to store data. An XDF file usually contains multiple streams, while each of them may contain one or more channels. The Stream class provides a handy way to store all the meta-data, time-series, time-stamps and all other information of a single stream from an XDF file.

## Member Data Documentation

## § channel_count

int Xdf::Stream::channel_count

Number of channels of the current stream

## § channel_format

std::string Xdf::Stream::channel_format

Channel format of the current stream.

## § channels

std::vector<std::map<std::string, std::string> > Xdf::Stream::channels

A vector to store the meta-data of the channels of the current stream.

## § clock_offsets

std::vector<std::pair<double, double> > Xdf::Stream::clock_offsets

A vector to store clock offsets from the ClockOffset chunk.

## § clock_times

std::vector<double> Xdf::Stream::clock_times

Vector of clock times from clock offset chunk (Tag 4).

## § clock_values

std::vector<double> Xdf::Stream::clock_values

Vector of clock values from clock offset chunk (Tag 4).

## § effective_sample_rate

double Xdf::Stream::effective_sample_rate

Effective sample rate.

## § first_timestamp

double Xdf::Stream::first_timestamp

First time stamp of the stream.

## § info

struct { ... } Xdf::Stream::info

Meta-data from the stream header of the current stream.

## § last_timestamp [1/2]

double Xdf::Stream::last_timestamp

Last time stamp of the stream.

## § last_timestamp [2/2]

float Xdf::Stream::last_timestamp { 0 }

For temporary use while loading the vector

## § measured_srate

double Xdf::Stream::measured_srate

Measured sample rate of the stream.

## § name

std::string Xdf::Stream::name

Name of the current stream.

## § nominal_srate

double Xdf::Stream::nominal_srate

The nominal sample rate of the current stream.

## § sample_count

int Xdf::Stream::sample_count

Sample count of the stream.

## § sampling_interval

float Xdf::Stream::sampling_interval

If srate > 0, sampling_interval = 1/srate; otherwise 0

## § streamFooter

std::string Xdf::Stream::streamFooter

Raw XDF of stream footer chunk.

## § streamHeader

std::string Xdf::Stream::streamHeader

Raw XDF of stream header chunk.

## § time_series

std::vector<std::vector<float> > Xdf::Stream::time_series

A 2D vector which stores the time series of a stream. Each row represents a channel.

## § time_stamps

std::vector<float> Xdf::Stream::time_stamps

A vector to store time stamps.

## § type

std::string Xdf::Stream::type

Type of the current stream.

The documentation for this class was generated from the following file:

- C:/Users/Yida Lin/Documents/GitHub/libxdf/libxdf/xdf.h